Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 169990 - JavaFX specific welcome page should not be shown in the "full" distro
JavaFX specific welcome page should not be shown in the "full" distro
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Welcome
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@ide
67patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-06 14:48 UTC by Ondrej Langr
Modified: 2009-09-01 08:34 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-08-06 14:48:20 UTC
Currently, the JavaFX specific welcome page (including content pushed from RSS feeds) is shown for all bundles with JavaFX pack installed, including the "all" 
bundle. 

This content should only be shown for the "Java FX only" distribution, if at all (to be decided by marketing).
Comment 1 Antonin Nebuzelsky 2009-08-11 09:22:29 UTC
The fix must go to trunk (6.8) and also must be delivered in a patch to 6.7(.1) users.

Stando, prepare it ASAP.
Comment 2 Stanislav Aubrecht 2009-08-11 09:26:21 UTC
> Stando, prepare it ASAP.

sure, as soon as the marketing decides how to actually fix this
Comment 3 Antonin Nebuzelsky 2009-08-11 13:00:54 UTC
For now, the fix is to keep the JavaFX specific items in the welcome screen in the case of "JavaFX-only" distro. Thus
fixing the All distro to not contain anything JavaFX specific.
Comment 4 Stanislav Aubrecht 2009-08-12 14:30:37 UTC
fixed in core-main 3cf3c3b0f793

javafx content in welcome page is now visible when netbeans folder contains JavaFX and JavaSE packs ONLY.
whenever any or all of cnd, mobility, j2ee, ruby, php, groovy packs are also present then the welcome page shows
'generic' content.
Comment 5 pgebauer 2009-08-13 08:59:04 UTC
QE, could you please verify the fix in the trunk in order that sustaining can continue with porting to the release67_fixes branch?
Comment 6 Antonin Nebuzelsky 2009-08-14 09:49:58 UTC
Any progress here?
Comment 7 Quality Engineering 2009-08-17 17:53:00 UTC
Integrated into 'main-golden', will be available in build *200908171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3cf3c3b0f793
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #169990 - JavaFX specific welcome page should not be shown in the "full" distro
Comment 8 Petr Blaha 2009-08-18 14:15:08 UTC
verified by M. Havle on the private build that we provided by S. Aubrecht.
Comment 9 pgebauer 2009-08-18 14:22:48 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/81832b66a21e
Comment 10 martinhavle 2009-08-19 10:13:40 UTC
Verified once again against 
http://smetiste.czech.sun.com/builds/netbeans/6.7.1/fixes/2009-08-18_15-29-56/uc/catalog.xml.gz update center.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo